com.tibbo.aggregate.common.action.command

## Class CloseDashboard

- java.lang.Object
- - com.tibbo.aggregate.common.action.GenericActionCommand
  - - com.tibbo.aggregate.common.action.command.CloseDashboard

- All Implemented Interfaces:
    ActionCommand, java.lang.Cloneable

      public class CloseDashboard
      extends GenericActionCommand

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CF_CLOSE_ALL`
    `static java.lang.String` | `CF_DASHBOARD`
    `static java.lang.String` | `CF_DEEP_SEARCH`
    `static java.lang.String` | `CF_TARGET_ELEMENT`
    `static TableFormat` | `CFT_CLOSE_DASHBOARD`

    - ### Fields inherited from class com.tibbo.aggregate.common.action.GenericActionCommand

      `CF_COMPONENT_LOCATION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CloseDashboard()`
    `CloseDashboard(DashboardProperties dashboard)`
    `CloseDashboard(java.lang.String name)`
    `CloseDashboard(java.lang.String title, DataTable parameters)`
    `CloseDashboard(java.lang.String nameString, java.lang.String windowPathString)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected DataTable` | `constructParameters()`
    `java.lang.Boolean` | `getCloseAll()`
    `DashboardProperties` | `getDashboard()`
    `java.lang.Boolean` | `getDeepSearch()`
    `java.lang.String` | `getTargetElement()`
    `void` | `setCloseAll(java.lang.Boolean closeAll)`
    `void` | `setDashboard(DashboardProperties dashboard)`
    `void` | `setDeepSearch(java.lang.Boolean deepSearch)`
    `void` | `setTargetElement(java.lang.String targetElement)`

    - ### Methods inherited from class com.tibbo.aggregate.common.action.GenericActionCommand

      `clone, createDefaultResponse, equals, getComponentLocation, getParameters, getRequestId, getResponseFormat, getTitle, getType, hashCode, isBatchEntry, isInteractive, isLast, isResponseValid, setBatchEntry, setComponentLocation, setComponentLocation, setInteractive, setLast, setParameters, setRequestId, setTitle, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CF_DASHBOARD

          public static final java.lang.String CF_DASHBOARD

      See Also:
        Constant Field Values

    - #### CF_TARGET_ELEMENT

          public static final java.lang.String CF_TARGET_ELEMENT

      See Also:
        Constant Field Values

    - #### CF_CLOSE_ALL

          public static final java.lang.String CF_CLOSE_ALL

      See Also:
        Constant Field Values

    - #### CF_DEEP_SEARCH

          public static final java.lang.String CF_DEEP_SEARCH

      See Also:
        Constant Field Values

    - #### CFT_CLOSE_DASHBOARD

          public static final TableFormat CFT_CLOSE_DASHBOARD

  - ### Constructor Detail

    - #### CloseDashboard

          public CloseDashboard()

    - #### CloseDashboard

          public CloseDashboard(DashboardProperties dashboard)

    - #### CloseDashboard

          public CloseDashboard(java.lang.String title,
                                DataTable parameters)

    - #### CloseDashboard

          public CloseDashboard(java.lang.String name)

    - #### CloseDashboard

          public CloseDashboard(java.lang.String nameString,
                                java.lang.String windowPathString)

  - ### Method Detail

    - #### getDashboard

          public DashboardProperties getDashboard()

    - #### setDashboard

          public void setDashboard(DashboardProperties dashboard)

    - #### getTargetElement

          public java.lang.String getTargetElement()

    - #### setTargetElement

          public void setTargetElement(java.lang.String targetElement)

    - #### getCloseAll

          public java.lang.Boolean getCloseAll()

    - #### setCloseAll

          public void setCloseAll(java.lang.Boolean closeAll)

    - #### getDeepSearch

          public java.lang.Boolean getDeepSearch()

    - #### setDeepSearch

          public void setDeepSearch(java.lang.Boolean deepSearch)

    - #### constructParameters

          protected DataTable constructParameters()

      Overrides:
        `constructParameters` in class `GenericActionCommand`